Loading...
Searching...
No Matches
casacore::MaskedMedianFunc< T > Class Template Reference

`#include <MaskArrMath.h>`

## Public Member Functions

| MaskedMedianFunc (bool sorted=false, bool takeEvenMean=true)
T | operator() (const MaskedArray< T > &arr) const

## Private Attributes

bool | itsSorted
bool | itsTakeEvenMean
bool | itsInPlace

## Detailed Description

template<typename T>
class casacore::MaskedMedianFunc< T >

Definition at line 484 of file MaskArrMath.h.

## Constructor & Destructor Documentation

## MaskedMedianFunc()

template<typename T>

casacore::MaskedMedianFunc< T >::MaskedMedianFunc | ( | bool | sorted = false,
|  | bool | takeEvenMean = true )

inline explicit

Definition at line 486 of file MaskArrMath.h.

References itsSorted, and itsTakeEvenMean.

## Member Function Documentation

## operator()()

template<typename T>

T casacore::MaskedMedianFunc< T >::operator() | ( | const MaskedArray< T > & | arr | ) | const

inline

Definition at line 488 of file MaskArrMath.h.

References itsSorted, itsTakeEvenMean, and casacore::median().

## Member Data Documentation

## itsInPlace

template<typename T>

bool casacore::MaskedMedianFunc< T >::itsInPlace

private

Definition at line 493 of file MaskArrMath.h.

## itsSorted

template<typename T>

bool casacore::MaskedMedianFunc< T >::itsSorted

private

Definition at line 491 of file MaskArrMath.h.

Referenced by MaskedMedianFunc(), and operator()().

## itsTakeEvenMean

template<typename T>

bool casacore::MaskedMedianFunc< T >::itsTakeEvenMean

private

Definition at line 492 of file MaskArrMath.h.

Referenced by MaskedMedianFunc(), and operator()().

The documentation for this class was generated from the following file:

- casa/Arrays/MaskArrMath.h